package com.xingxi.business.NewProd.mapper;

import com.xingxi.business.NewProd.domain.NewProd;

import java.util.List;

/**
 * 最新上架商品Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface NewProdMapper {
    /**
     * 查询最新上架商品
     *
     * @param id 最新上架商品主键
     * @return 最新上架商品
     */
    NewProd selectNewProdById(Long id);

    /**
     * 查询最新上架商品列表
     *
     * @param newProd 最新上架商品
     * @return 最新上架商品集合
     */
    List<NewProd> selectNewProdList(NewProd newProd);

    /**
     * 新增最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    int insertNewProd(NewProd newProd);

    /**
     * 批量新增最新上架商品
     *
     * @param newProdList 最新上架商品
     * @return 结果
     */
    int batchInsertNewProd(List<NewProd> newProdList);

    /**
     * 修改最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    int updateNewProd(NewProd newProd);

    /**
     * 删除最新上架商品
     *
     * @param id 最新上架商品主键
     * @return 结果
     */
    int deleteNewProdById(Long id);

    /**
     * 批量删除最新上架商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteNewProdByIds(String[] ids);


    /**
     * 逻辑删除最新上架商品
     *
     * @param id 最新上架商品主键
     * @return 结果
     */
    int logicDeleteNewProdById(Long id);

    /**
     * 逻辑批量删除最新上架商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteNewProdByIds(String[] ids);

    /**
     * 逻辑批量删除最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    int logicDeleteNewProdByCondition(NewProd newProd);

}
